Xkdrive(1)

NAME
Xkdrive - tiny X server

SYNOPSIS
Xfbdev [:display] [option...]

DESCRIPTION
Xkdrive is a family of X servers designed to be particularly small. This manual page describes the common functionality of the Xkdrive servers; for information on a specific X server, please refer to the relevant manual page.

OPTIONS
In addition to the standard options accepted by all X servers (see Xserver(1), all the Xkdrive servers accept the following options:

-dumb
    disable hardware acceleration.

-origin X,Y
    Locates the next screen in the Xinerama virtual screen.

-screen widthxheight[xdepth[xfreq]][@rotation]
    use a screen of the specified width, height, screen depth, frequency, and rotation (0, 90, 180 and 270 are legal values).

-softCursor
    disable the hardware cursor.

-videoTest
    start the server, pause momentarily, and exit.

-zaphod
    disable switching screens by moving the pointer across a screen boundary.

-2button
    enable emulation of a middle mouse button by chording.

-3button
    disable emulation of a middle mouse button by chording.

KEYBOARD
The Xkdrive servers are normally configured to recognize various special combinations of key presses that instruct the server to perform some action, rather than just sending the key press event to a client application. These actions depend on the XKB keymap loaded by a particular keyboard device and may or may not be available on a given configuration.

The following key special combinations are recognized by the Xkdrive servers.

Ctrl+Alt+Backspace

Ctrl+Alt+Delete

Ctrl+Alt+KeyPadDelete
    Immediately kills the server -- no questions asked. It can be disabled by adding the -nozap command-line argument.

SEE ALSO
X(7), Xserver(1), xdm(1), xinit(1), Xvesa(1), Xfbdev(1).

AUTHORS
The Xkdrive common core was written by Keith Packard, and is based on the Sample Implementation of X.